Bug 853502 - Incorrect mathematical symbols displayed
Incorrect mathematical symbols displayed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-31 14:35 EDT by Jason Tibbitts
Modified: 2013-07-31 14:31 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 14:30:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
PDF file illustrating the problem (13.71 KB, application/pdf)
2012-08-31 14:35 EDT, Jason Tibbitts
no flags Details

  None (edit)
Description Jason Tibbitts 2012-08-31 14:35:57 EDT
Created attachment 608602 [details]
PDF file illustrating the problem

In the attached PDF, several mathematical symbols are rendered as completely different symbols in both evince and okular, which they render fine in acroread.  I'm guessing that commonality between okular and evince points to popper; my apologies if that's not correct; I don't really know enough about PDF internals to know who gets the blame on this one.

In problem 3b, the the "not equals" symbol in "sin(2 \= x)" should be a pi symbol.

In problem 5, two instances of a double prime are missing completely.

Everything appears fine when the document is printed.

The file in question was created on windows, probably by printing a word document, using PDFCreator which internally just uses ghostscript 9.05.

This appears to happen on both F16 and F17:
poppler-0.18.0-3.fc16.x86_64
poppler-0.18.4-3.fc17.x86_64
Comment 1 Richard Kennedy 2013-01-19 08:28:06 EST
I'm seeing this problem on Fedora 18 with both okular & evince when viewing electronic component specification sheets, so I have lots of examples if you need them.
But if I open the pdf in emacs it displays it properly.
Is there anything I can do to help track this down ?
It really does need fixing !
I think the severity of this should be marked as HIGH, as not being able to read technical documentation properly is a real problem and bad for fedora's reputation.
Comment 2 Rex Dieter 2013-01-19 10:16:55 EST
Richard, for now, I'd recommend opening a new bug, and indeed include a sample pdf showing the problem, thanks.
Comment 3 Richard Kennedy 2013-01-19 11:59:29 EST
OK, will do. Any idea what component I should book this bug against? I first found this in okular but evince does it too.
Comment 4 Marek Kašík 2013-03-01 09:27:10 EST
Hi,

this is the same bug as Richard reported here: https://bugzilla.redhat.com/show_bug.cgi?id=901858 for F18. Removing wine-symbol-fonts "fixes" this.

Regards

Marek
Comment 5 Fedora End Of Life 2013-07-03 15:41:29 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 14:31:01 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.